Auto Multiple Choice - Bug # 767: AMC CLI - commande annotante et csv
Description: Je souhaite réaliser une GUI sur Mac (en fait une GUI multiplateforme) pour AMC, avec AMC en ligne de
commande en arriére plan (grace a docker). C'est trés efficace. J'ai cependant un tout petit soucis avec la
commande annotate et export.
J'ai opté pour un exemple avec un fichier au format LaTeX et une association manuelle des copies aux
étudiants.
Apres avoir créé I'ensemble des dossiers nécessaires au bon fonctionnement d'AMC, j'utilise les commandes
décrites dans le fichier commandes-amc.txt
Lors de la commande annotate, j'obtiens le fichier log annotate.log qui mentionne I'erreur suivante : Error:
non-unique name (0 records). Je vous joins aussi le fichier csv.
Je n'arrive pas a comprendre pourquoi j'obtiens un tel message.
Et bien évidemment, le méme probleme se répéte pour I'export et I'association ne se fait pas dans le fichier
ods final.
Je dois trés certainement faire quelque chose de travers, a moins qu'il ne s'agisse d'un bug ??
Merci pour votre retour

History

05/06/2021 07:07 pm - Alexis Bienveniie

- Status changed from New

C'est effectivement un bug,

to Feedback

car la valeur donnée avec l'option @--association-key@ n'a pas été prise en compte.

Pour le corriger, vous pouvez changer quelques lignes dans @AMC/Annotate.pm@ (vers la ligne 333 pour la version 1.4.0 que vous utilisez):

<pre>

$self->{association_key}=$self->{association}->variable_transaction('key_in_list')

if( '$self->{association_key} );

</pre>
au lieu de

<pre>

$self->{association_key}=$self->{association}->variable_transaction('key_in_list');

</pre>

05/07/2021 12:02 am - Alban Mazerolles

Merci pour le retour rapide !

Pour la partie annotation, c'est impeccable ! Votre correction marche impeccablement.

En revanche, pour la partie export, le probléme persiste. Comment résoudre ce tout dernier probléme ?

05/07/2021 10:06 am - Alexis Bienveniie

Ha zut, j'avais oublié ce point. Il manque une option @--association-key@ a @auto-mutiple-choice export@.

Je vais I'ajouter, mais en attendant, les deux problémes peuvent étre réglés en indiquant dans la base de données du projet que la clé a utiliser pour la
liste des noms est @id@, en utilisant la commande suivante (ou son équivalent dans un autre langage) :

<pre>

sqlite3 ./data/association.sqlite 'insert into association_variables (name,value) values ("key_in_list","id") on conflict(name) do update set value="id";'
</pre>

Je vais peut-étre aussi ajouter une maniére de faire cette opération a partir de @auto-multiple-choice association@...

05/07/2021 10:50 am - Alban Mazerolles
Cette solution résout effectivement le probléme :)

Merci beaucoup !

05/26/2021 11:14 am - Alexis Bienveniie

Avez-vous un lien qui présenterait votre travail ? Cela semble trés intéressant !

05/27/2021 09:20 am - Alban Mazerolles

Cette réalisation va se faire en deux temps : pour faire cette interface multiplateforme, j'attends - avec impatience je dois dire - la sortie de .NET MAUI
qui a justement pour objectif de permettre une réalisation d'application multiplateforme avec le moins d'effort possible. En raison de la covid, la sortie de
cet outil de Microsoft a été repoussé a novembre 2021.

Ceci étant, j'ai commencé a travailler sur une appli entierement Mac mais elle n'est pas finie encore. Je reviendrais vers vous des qu'elle aura pris

forme pour la mettre a disposition - accompagné de sa notice (Le mieux serait de la rendre disponible directement depuis votre site).

12/08/2021 04:24 pm - Alexis Bienvenlie

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

> Ha zut, j'avais oublié ce point. Il manque une option --association-key a auto-mutiple-choice export.

> Je vais |'ajouter,

Elle est présente depuis la version 1.5.0 : git:1c51a638d6f

Files

commandes-amc.ixt 896 Bytes 05/05/2021 Alban Mazerolles
annotate.log 26.7 kB 05/05/2021 Alban Mazerolles
students-list.csv 178 Bytes 05/05/2021 Alban Mazerolles
output-note.ods 8 kB 05/05/2021 Alban Mazerolles
test.tex 1.5kB 05/05/2021 Alban Mazerolles
